# Relink Account Contract to Another Client
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/data-management/relink-acct-con-another-client/index.md

## Overview {#overview}

The use case describes how you associate a specified account contract with a different client object in the CMS.

## Sequence diagram {#sequence-diagram}

![Sequence diagram](https://static.developer.mastercard.com/content/mastercard-processing-core/uploads/relink-acct-con-another-client.png)

### Explanation {#explanation}

1. The server sends a `PUT` request to the `/accounts/{account_contract_id}/client-identifier` endpoint passing the required `clientId` field in the request body. Note: Using the optional `relinkType` field, you can decide how to relink the account contract. The following values are available:
   * `ALL` -- the client will be changed for the `account_contract_id` and all other account contracts (subaccounts) in the CMS hierarchy under the `account_contract_id`. This is a default option when the `relinkType` is not passed in the request.
   * `THIS` -- the client will be changed only for the `account_contract_id`.
   * `DOWN` -- the client will be changed for all card contracts and account contracts (subaccounts) in the CMS hierarchy under the `account_contract_id`.
2. The API returns the HTTP status `204`.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/data-management/relink-acc-con-to-another-client/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `PUT /accounts/{account_contract_id}/client-identifier`

